@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Albert+Sans:ital,wght@0,100..900;1,100..900&display=swap');

@font-face {
    font-family: "BoldPixels";
    src: url("../fonts/BoldsPixels.ttf");
}

body {
    font-family: "BoldPixels", sans-serif;
    line-height: 1.2;
    font-size: 15px;
    color: #fff;
    background: #00021e url("/event/assets/eg33/images/merdeka_foodhunt_2026/bg.jpg")no-repeat top center;
    background-size: cover;
}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
.music-wrapper {
    position: fixed;
    z-index: 99;
    right: 0;
    bottom: 50px;
    opacity: 1;
    transition: 0.3s;
    overflow: hidden;
    height: 40px;
    width: 40px;
    background: #fff;
    border-radius: 10px 0 0 10px;
}
.music-wrapper audio {
    position: absolute;
    left: -6px;
    top: -7px;
}
audio:focus {
	outline: none;
}
.floating-wrapper {
    position: fixed;
    z-index: 999;
    right: 4px;
    top: 100px;
    max-width: 73px;
}
.float-btn-wrap {
    position: absolute;
    top: 12px;
    left: -10px;
    max-width: 67px;
}
button.float-btn {
    margin: 2px 0;
    display: block;
	transition: 0.2s;
}
button.float-btn img {
    filter: drop-shadow(1px 4px 2px rgb(0, 0, 0, 0.2));
}
button.float-btn:hover {
	transform: rotate(-15deg) scale(0.98);
	filter: brightness(1.07);
	transition: 0.2s;
}
.dropdown-menu.language {
    min-width: 180px;
    background: none;
    border: none;
    width: 100%;
    padding: 0;
    margin: 0;
    margin-top: 9px;
}
a.float-item {
    display: inline-block;
    max-width: 55px;
}
a.float-item:hover {
	filter: brightness(1.07);
	transform: scale(1.03);
}
.top-sec {
	position: relative;
	text-align: center;
	padding: 10px 0 45px;
}
.logo {
    max-width: 380px;
    margin: 0 auto -2%;
    position: relative;
}
.title-wrapper {
    margin-bottom: 30px;
}
.title-img {
    position: relative;
    margin-bottom: -2.5%;
}
.mission-title {
    margin-bottom: 30px;
}
.mission-wrapper {
	position: relative;
	padding-bottom: 30px;
}
.msbox {
    position: relative;
    display: inline-block;
    vertical-align: top;
    width: 32%;
    max-width: 350px;
    margin: 0 auto 15px;
}
.msinner {
    position: absolute;
    left: 0;
    right: 0;
    top: 3%;
}
.mstitle {
    font-size: 34px;
    text-transform: uppercase;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
}
.msimg {
    max-width: 68%;
    margin: -6% auto -5%;
}
.msinfo {
    font-family: 'Albert Sans';
    font-weight: 800;
    font-size: 17px;
    text-transform: uppercase;
    max-width: 85%;
    margin: 0 auto;
    min-height: 45px;
}
.rwtoken {
    font-size: 34px;
    text-transform: uppercase;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
	margin-bottom: 1%;
}
.tick-icon {
    margin-right: 15px;
	display: none;
}
.tick-icon img {
    max-height: 36px;
}
button.claim-btn {
    background: url(/event/assets/eg33/images/merdeka_foodhunt_2026/claim-btn.png) no-repeat;
    background-size: 100% 100%;
    max-width: 74%;
    width: 100%;
    height: 60px;
    font-size: 32px;
    text-transform: uppercase;
    padding-bottom: 2%;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
    margin: 0 auto;
    filter: grayscale(1);
    pointer-events: none;
}
.claimed .tick-icon {
	display: inline-block;
}
.claimed button.claim-btn {
	filter: none;
}
.active button.claim-btn {
	filter: none;
	pointer-events: auto;
}
.active button.claim-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.08);
}
.token-wrap {
    position: relative;
    max-width: 500px;
    margin: 15px auto 0;
}
.tk-text {
    position: absolute;
    left: 36%;
    right: 21%;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    font-size: 34px;
    text-transform: uppercase;
	text-transform: uppercase;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
}
span.tknum {
    text-shadow: none;
    color: #fff;
    font-size: 120%;
    margin-left: 10px;
}
.max-note {
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0 2px 0 #ee2439;
    font-size: 26px;
	margin-bottom: 30px;
}
.food-box {
    display: inline-block;
    vertical-align: top;
    width: 18%;
    margin: 0 auto 15px;
	cursor: pointer;
}





/** Modal **/
.modal-dialog.popup {
    max-width: 800px;
}
.modal-content.popup {
    border: none;
	border-radius: 0;
    background: #00071f;
    border: 3px solid #77f8ff;
	box-shadow: inset 0 0 8px #0159d1;
    padding: 15px 15px;
}
ul.terms {
	padding-left: 17px;
	font-family: 'Albert Sans';
}
ul.terms li {
	padding: 2px 0;
}
button.close-x {
    position: absolute;
    right: 7px;
    top: 5px;
    color: #fff;
    font-size: 16px;
    z-index: 1;
}
.popup-title {
    text-align: center;
    font-size: 34px;
    text-transform: uppercase;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
    font-family: 'BoldPixels';
    margin-bottom: 15px;
}
.how-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
	margin-bottom: 15px;
}


.modal-content.reward {
    background: none;
    border: none;
    text-align: center;
    max-width: 300px;
    margin: 0 auto;
}
.reward-box {
    position: relative;
	cursor: pointer;
}
.prize {
    position: absolute;
    left: 0;
    right: 0;
    top: 38%;
    font-size: 44px;
    font-weight: 700;
    color: #000;
    z-index: 2;
    transform: none;
    transition: 0.3s;
    visibility: hidden;
    opacity: 0;
    transform: scale(0.3);
}
img.open {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    visibility: hidden;
    opacity: 0;
}
.light-bg {
    position: absolute;
    z-index: 1;
    left: 0;
    right: 0;
    top: 0;
    max-width: 90%;
    margin: 0 auto;
	opacity: 0;
	visibility: hidden;
	transform: scale(0.2);
}
button.open-btn {
    background: url(/event/assets/eg33/images/merdeka_foodhunt_2026/claim-btn.png) no-repeat top center;
    background-size: 100% 100%;
    width: 100%;
    max-width: 170px;
    margin: 0 auto;
    height: 55px;
    padding-bottom: 1%;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    font-size: 24px;
    text-transform: uppercase;
    color: #ffff3f;
    text-shadow: 0 2px 0 #ee2439;
}
.reward-box.active button.open-btn {
    display: none;
}
.reward-box.active .light-bg {
    opacity: 1;
    visibility: visible;
	transform: scale(1);
	transition: 0.2s;
	animation: spinning 6s linear infinite;
}
@keyframes spinning {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.reward-box.active img.closed {
    opacity: 0;
    visibility: hidden;
	transition: 0.2s;
}
.reward-box.active img.open {
    opacity: 1;
    visibility: visible;
	transition: 0.2s;
}
.reward-box.active .prize {
	opacity: 1;
	visibility: visible;
	transform: scale(1);
	transition: 0.3s;
	transition-delay: 0.3s;
}

@media(max-width: 1080px) {
.music-wrapper {
	transform: scale(0.85);
	transform-origin: bottom right;
}
.floating-wrapper {
	transform: scale(0.85);
	transform-origin: top right;
}
.mstitle, .rwtoken {
    font-size: 3.2vw;
}		
.msinfo {
	font-size: 1.5vw;
	min-height: 3.5vw;
}	
button.claim-btn {
	font-size: 3.1vw;
    height: 5.5vw;
}	
.tick-icon img {
    max-height: 3vw;
}	
}

@media(max-width: 991px) {
.logo {
    max-width: 41%;
}	
}

@media(max-width: 767px) {
.music-wrapper {
	transform: scale(0.75);
}
.floating-wrapper {
	transform: scale(0.70);
}	
.msbox {
    width: 49%;
}	
.mstitle, .rwtoken {
	font-size: 4.8vw;
}
.msinfo {
	font-size: 2.2vw;
	min-height: 6vw;
}	
.tick-icon img {
	max-height: 4vw;
}	
button.claim-btn {
	height: 8vw;
	font-size: 4vw;
}	
.food-box {
    width: 32%;
}	
.how-wrapper {
    grid-template-columns: repeat(2, 1fr);
    text-align: center;
}	
}

@media(max-width: 480px) {
.music-wrapper {
	transform: scale(0.65);
}
.floating-wrapper {
	top: 50px;
	transform: scale(0.57);
}
.token-wrap {
    max-width: 85%;
}	
.tk-text {
    font-size: 5.8vw;
}	
.max-note {
    font-size: 20px;
}
.popup-title {
    font-size: 24px;
}
.modal-content.popup {
    font-size: 14px;
}	
}



















